javax.ws.rs.client

## Class Entity<T>

- java.lang.Object
- - javax.ws.rs.client.Entity<T>

- Type Parameters:
    `T` - entity type.

      public final class Entity<T>
      extends Object

  Encapsulates message entity including the associated variant information.
  Author:
    Marek Potociar

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Entity<T>` | `entity(T entity, MediaType mediaType)` Create an entity using a supplied content media type.
    `static <T> Entity<T>` | `entity(T entity, MediaType mediaType, Annotation[] annotations)` Create an entity using a supplied content media type.
    `static <T> Entity<T>` | `entity(T entity, String mediaType)` Create an entity using a supplied content media type.
    `static <T> Entity<T>` | `entity(T entity, Variant variant)` Create an entity using a supplied content media type.
    `static <T> Entity<T>` | `entity(T entity, Variant variant, Annotation[] annotations)` Create an entity using a supplied content media type.
    `boolean` | `equals(Object o)`
    `static Entity<Form>` | `form(Form form)` Create an "application/x-www-form-urlencoded" form entity.
    `static Entity<Form>` | `form(MultivaluedMap<String,String> formData)` Create an "application/x-www-form-urlencoded" form entity.
    `Annotation[]` | `getAnnotations()` Get the entity annotations.
    `String` | `getEncoding()` Get entity encoding.
    `T` | `getEntity()` Get entity data.
    `Locale` | `getLanguage()` Get entity language.
    `MediaType` | `getMediaType()` Get entity media type.
    `Variant` | `getVariant()` Get entity `variant` information.
    `int` | `hashCode()`
    `static <T> Entity<T>` | `html(T entity)` Create a "text/html" entity.
    `static <T> Entity<T>` | `json(T entity)` Create an "application/json" entity.
    `static <T> Entity<T>` | `text(T entity)` Create a "text/plain" entity.
    `String` | `toString()`
    `static <T> Entity<T>` | `xhtml(T entity)` Create an "application/xhtml+xml" entity.
    `static <T> Entity<T>` | `xml(T entity)` Create an "application/xml" entity.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### entity

          public static <T> Entity<T> entity(T entity,
                             MediaType mediaType)

      Create an entity using a supplied content media type.
      Type Parameters:
        `T` - entity Java type.
      Parameters:
        `entity` - entity data.
        `mediaType` - entity content type.
      Returns:
        entity instance.

    - #### entity

          public static <T> Entity<T> entity(T entity,
                             MediaType mediaType,
                             Annotation[] annotations)

      Create an entity using a supplied content media type.
      Type Parameters:
        `T` - entity Java type.
      Parameters:
        `entity` - entity data.
        `mediaType` - entity content type.
        `annotations` - entity annotations.
      Returns:
        entity instance.

    - #### entity

          public static <T> Entity<T> entity(T entity,
                             String mediaType)

      Create an entity using a supplied content media type.
      Type Parameters:
        `T` - entity Java type.
      Parameters:
        `entity` - entity data.
        `mediaType` - entity content type.
      Returns:
        entity instance.
      Throws:
        `IllegalArgumentException` - if the supplied string cannot be parsed or is `null`.

    - #### entity

          public static <T> Entity<T> entity(T entity,
                             Variant variant)

      Create an entity using a supplied content media type.
      Type Parameters:
        `T` - entity Java type.
      Parameters:
        `entity` - entity data.
        `variant` - entity `variant` information.
      Returns:
        entity instance.

    - #### entity

          public static <T> Entity<T> entity(T entity,
                             Variant variant,
                             Annotation[] annotations)

      Create an entity using a supplied content media type.
      Type Parameters:
        `T` - entity Java type.
      Parameters:
        `entity` - entity data.
        `variant` - entity `variant` information.
        `annotations` - entity annotations.
      Returns:
        entity instance.

    - #### text

          public static <T> Entity<T> text(T entity)

      Create a "text/plain" entity.
      Type Parameters:
        `T` - entity Java type.
      Parameters:
        `entity` - entity data.
      Returns:
        "text/plain" entity instance.

    - #### xml

          public static <T> Entity<T> xml(T entity)

      Create an "application/xml" entity.
      Type Parameters:
        `T` - entity Java type.
      Parameters:
        `entity` - entity data.
      Returns:
        "application/xml" entity instance.

    - #### json

          public static <T> Entity<T> json(T entity)

      Create an "application/json" entity.
      Type Parameters:
        `T` - entity Java type.
      Parameters:
        `entity` - entity data.
      Returns:
        "application/json" entity instance.

    - #### html

          public static <T> Entity<T> html(T entity)

      Create a "text/html" entity.
      Type Parameters:
        `T` - entity Java type.
      Parameters:
        `entity` - entity data.
      Returns:
        "text/html" entity instance.

    - #### xhtml

          public static <T> Entity<T> xhtml(T entity)

      Create an "application/xhtml+xml" entity.
      Type Parameters:
        `T` - entity Java type.
      Parameters:
        `entity` - entity data.
      Returns:
        "application/xhtml+xml" entity instance.

    - #### form

          public static Entity<Form> form(Form form)

      Create an "application/x-www-form-urlencoded" form entity.
      Parameters:
        `form` - form data.
      Returns:
        "application/x-www-form-urlencoded" form entity instance.

    - #### form

          public static Entity<Form> form(MultivaluedMap<String,String> formData)

      Create an "application/x-www-form-urlencoded" form entity.
      Parameters:
        `formData` - multivalued map representing the form data.
      Returns:
        "application/x-www-form-urlencoded" form entity instance.

    - #### getVariant

          public Variant getVariant()

      Get entity `variant` information.
      Returns:
        entity variant information.

    - #### getMediaType

          public MediaType getMediaType()

      Get entity media type.
      Returns:
        entity media type.

    - #### getEncoding

          public String getEncoding()

      Get entity encoding.
      Returns:
        entity encoding.

    - #### getLanguage

          public Locale getLanguage()

      Get entity language.
      Returns:
        entity language.

    - #### getEntity

          public T getEntity()

      Get entity data.
      Returns:
        entity data.

    - #### getAnnotations

          public Annotation[] getAnnotations()

      Get the entity annotations.
      Returns:
        entity annotations if set, an empty annotation array if no entity annotations have been specified.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.